aboutsummaryrefslogtreecommitdiffstats
path: root/www/surfraw/pkg-install
diff options
context:
space:
mode:
authorade <ade@FreeBSD.org>2000-09-18 03:05:58 +0800
committerade <ade@FreeBSD.org>2000-09-18 03:05:58 +0800
commitb8d0f1414836f24ec9d0d2f55c00fa436d56bd0a (patch)
tree52ece5043a2661120635a41e984df3f3018de167 /www/surfraw/pkg-install
parent68ba635c031ef6db299096cd6204aab25ecbd025 (diff)
downloadfreebsd-ports-gnome-b8d0f1414836f24ec9d0d2f55c00fa436d56bd0a.tar.gz
freebsd-ports-gnome-b8d0f1414836f24ec9d0d2f55c00fa436d56bd0a.tar.zst
freebsd-ports-gnome-b8d0f1414836f24ec9d0d2f55c00fa436d56bd0a.zip
Update to version 1.0.1
PR: 21326 Submitted by: maintainer
Diffstat (limited to 'www/surfraw/pkg-install')
-rw-r--r--www/surfraw/pkg-install67
1 files changed, 67 insertions, 0 deletions
diff --git a/www/surfraw/pkg-install b/www/surfraw/pkg-install
new file mode 100644
index 000000000000..b6ecbf0e7c0d
--- /dev/null
+++ b/www/surfraw/pkg-install
@@ -0,0 +1,67 @@
+#!/bin/sh
+#
+# Pre/post-installation setup of surfraw
+
+# exit on errors, use a sane path and install prefix
+#
+set -e
+PATH=/bin:/usr/bin:/sbin:/usr/sbin
+PREFIX=${PKG_PREFIX:-/usr/local}
+CONFIG_FILE=${PREFIX}/etc/surfraw.conf
+SAMPLE_CONFIG_DIR=${PREFIX}/share/examples/surfraw
+
+# Function: tell the user what they need to do to use the port just installed
+#
+do_notice()
+{
+ echo
+ echo "+---------------"
+ echo "| The existing $1 configuration file, ${CONFIG_FILE},"
+ echo "| has NOT been changed. You may want to compare it to the"
+ echo "| current sample files in ${SAMPLE_CONFIG_DIR}"
+ echo "| and update your configuration as needed."
+ echo "+---------------"
+ echo
+}
+
+# Function: install configuration files
+#
+do_install()
+{
+ install -c -o root -g wheel ${SAMPLE_CONFIG_DIR}/surfraw.conf ${CONFIG_FILE}
+ echo
+ echo "+---------------"
+ echo "| The $1 configuration file, ${CONFIG_FILE},"
+ echo "| has been installed. Please view this file and change"
+ echo "| the configuration to meet your needs"
+ echo "+---------------"
+ echo
+}
+
+# Verify proper execution
+#
+if [ $# -ne 2 ]; then
+ echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
+ exit 1
+fi
+
+# Verify/process the command
+#
+case $2 in
+ PRE-INSTALL)
+ : nothing to pre-install for this port
+ ;;
+ POST-INSTALL)
+ if [ -f ${CONFIG_FILE} ]; then
+ do_notice "$1"
+ else
+ do_install "$1"
+ fi
+ ;;
+ *)
+ echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
+ exit 1
+ ;;
+esac
+
+exit 0